<template>
    <div id="cumulus-loading-dots">
        <div class="cumulus-dot cumulus-dot1"></div>
        <div class="cumulus-dot cumulus-dot2"></div>
        <div class="cumulus-dot cumulus-dot3"></div>
    </div>
</template>

<script>
export default {
    name: 'CumulusLoadingDots',
};
</script>
<style lang="scss" scoped>
.cumulus-dot {
  height: 20px;
  width: 20px;
  background-color: #76b900;
  border-radius: 50%;
  display: inline-block;
  margin: 0 3px;
}

.cumulus-dot.cumulus-dot1 {
    animation: pulse 750ms infinite alternate;
}

.cumulus-dot.cumulus-dot2 {
    animation: pulse 750ms infinite alternate 300ms;
}

.cumulus-dot.cumulus-dot3 {
    animation: pulse 750ms infinite alternate 600ms;
}

@keyframes pulse {
    from { opacity: 1; }
    to { opacity: 0; }
}
</style>
